Holidays in JavaScript Gantt Control

18 Nov 20183 minutes to read

The JavaScript Gantt Chart control supports holidays to define non-working days, such as national holidays or company closures, that impact task scheduling and project timelines. Holidays override regular working time settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods. In the timeline, holidays appear as highlighted backgrounds with descriptive labels, creating visible gaps in taskbars to reflect scheduling adjustments. Custom CSS classes allow distinct styling for different holiday types (e.g., national vs. company holidays), enhancing visual clarity. Properly configured holidays ensure accurate duration calculations, dependency adjustments, and critical path analysis, aligning project timelines with resource availability and regional requirements.

Understanding holiday effects on tasks

Holidays adjust task scheduling to reflect non-working periods:

  • Duration adjustments: Task durations exclude holidays, extending end dates. For example, a task starting December 20, 2024, skips a December 25-26 holiday, adjusting its completion to account for these days.
  • Dependency management: Successor tasks shift to maintain relationships (e.g., FS), ensuring no work occurs during holidays.
  • Critical path integration: Holidays impact slack calculations when using enableCriticalPath, as tasks delayed by holidays may become critical.
  • Resource allocation: Holidays reduce resource availability, pausing task progress during these periods.

The projectStartDate and projectEndDate properties provide context for scheduling, ensuring holidays align with the project timeline.

Configure holidays

Holidays are defined using the holidays property, which accepts an array of holiday objects specifying dates, labels, and styling. The DayMarkersService must be injected to render holidays as visual markers in the timeline and adjust task scheduling calculations. Holidays take precedence over settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods.

Holiday configuration properties

  • from: Sets the start date of the holiday (e.g., new Date('2024-12-25')).
  • to: Defines the end date for multi-day holidays (optional for single-day holidays).
  • label: Provides a descriptive name (e.g., “Christmas Day”) displayed in the timeline.
  • cssClass: Applies custom CSS classes for styling holiday appearances.

The following example configures single and multi-day holidays:

The code defines holidays like Christmas (December 25) and a multi-day New Year break, rendering them as highlighted periods in the timeline.

Customize holiday appearance

Customize holiday visuals using the cssClass property to apply distinct styles for different holiday types, such as national or company-specific closures:

.national-holiday {
    background-color: #ffebee;
    border-left: 3px solid #f44336;
}
.national-holiday .e-gantt-holiday-label {
    color: #d32f2f;
    font-weight: bold;
    background-color: #ffcdd2;
    padding: 2px 6px;
    border-radius: 4px;
}

.company-holiday {
    background-color: #e3f2fd;
    border-left: 3px solid #2196f3;
}
.company-holiday .e-gantt-holiday-label {
    color: #1976d2;
    font-style: italic;
    background-color: #bbdefb;
    padding: 2px 6px;
    border-radius: 4px;
}

For multi-day holidays, specify both from and to dates:

holidays: [
    {
        from: new Date('2024-12-24'),
        to: new Date('2024-12-26'),
        label: 'Christmas Break',
        cssClass: 'national-holiday'
    },
    {
        from: new Date('2024-01-01'),
        to: new Date('2024-01-02'),
        label: 'New Year Holiday',
        cssClass: 'company-holiday'
    }
]

This code styles holidays with distinct colors and labels, enhancing timeline readability.

See Also

Holidays in React Gantt Component

18 Nov 201813 minutes to read

The React Gantt Chart component supports holidays to define non-working days, such as national holidays or company closures, that impact task scheduling and project timelines. Holidays override regular working time settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods. In the timeline, holidays appear as highlighted backgrounds with descriptive labels, creating visible gaps in taskbars to reflect scheduling adjustments. Custom CSS classes allow distinct styling for different holiday types (e.g., national vs. company holidays), enhancing visual clarity. Properly configured holidays ensure accurate duration calculations, dependency adjustments, and critical path analysis, aligning project timelines with resource availability and regional requirements.

Understanding holiday effects on tasks

Holidays adjust task scheduling to reflect non-working periods:

  • Duration adjustments: Task durations exclude holidays, extending end dates. For example, a task starting December 20, 2024, skips a December 25-26 holiday, adjusting its completion to account for these days.
  • Dependency management: Successor tasks shift to maintain relationships (e.g., FS), ensuring no work occurs during holidays.
  • Critical path integration: Holidays impact slack calculations when using enableCriticalPath, as tasks delayed by holidays may become critical.
  • Resource allocation: Holidays reduce resource availability, pausing task progress during these periods.

The projectStartDate and projectEndDate properties provide context for scheduling, ensuring holidays align with the project timeline.

Configure holidays

Holidays are defined using the holidays property, which accepts an array of holiday objects specifying dates, labels, and styling. The DayMarkersService must be injected to render holidays as visual markers in the timeline and adjust task scheduling calculations. Holidays take precedence over settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods.

Holiday configuration properties

  • from: Sets the start date of the holiday (e.g., new Date('2024-12-25')).
  • to: Defines the end date for multi-day holidays (optional for single-day holidays).
  • label: Provides a descriptive name (e.g., “Christmas Day”) displayed in the timeline.
  • cssClass: Applies custom CSS classes for styling holiday appearances.

Inject DayMarkersService to enable holiday rendering and scheduling logic:

import { DayMarkers } from '@syncfusion/ej2-react-gantt';

<GanttComponent dataSource={data} holidays={holidays} >
    ...
    <Inject services={[DayMarkers]} />
</GanttComponent>

The following example configures single and multi-day holidays:

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { GanttComponent, ColumnsDirective, ColumnDirective, Inject } from '@syncfusion/ej2-react-gantt';
import { DayMarkers } from '@syncfusion/ej2-react-gantt';
import { data } from './datasource';

function App() {
    const taskSettings = {
        id: 'TaskID',
        name: 'TaskName',
        startDate: 'StartDate',
        duration: 'Duration',
        progress: 'Progress',
        parentID: 'ParentID'
    };

    const holidays = [
        {
            from: '04/04/2019',
            to: '04/05/2019',
            label: 'Public holidays',
            cssClass: 'e-custom-holiday'
        },
        {
            from: '04/12/2019',
            to: '04/12/2019',
            label: 'Local holidays',
            cssClass: 'e-custom-holiday'
        }
    ];

    return (
        <GanttComponent
            id="ganttDefault"
            height="430px"
            dataSource={data}
            taskFields={taskSettings}
            holidays={holidays}
        >
            <ColumnsDirective>
                <ColumnDirective field="TaskID" headerText="Task ID" width="100" />
                <ColumnDirective field="TaskName" headerText="Task Name" width="150" />
                <ColumnDirective field="StartDate" headerText="Start Date" width="150" />
                <ColumnDirective field="Duration" headerText="Duration" width="150" />
                <ColumnDirective field="Progress" headerText="Progress" width="150" />
            </ColumnsDirective>
            <Inject services={[DayMarkers]} />
        </GanttComponent>
    );
}

ReactDOM.render(<App />, document.getElementById('root'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { GanttComponent, ColumnsDirective, ColumnDirective, Inject } from '@syncfusion/ej2-react-gantt';
import { DayMarkers } from '@syncfusion/ej2-react-gantt';
import { TaskFieldsModel } from '@syncfusion/ej2-gantt';
import { data } from './datasource';

function App() {
    const taskSettings: TaskFieldsModel = {
        id: 'TaskID',
        name: 'TaskName',
        startDate: 'StartDate',
        duration: 'Duration',
        progress: 'Progress',
        parentID: 'ParentID'
    };

    const holidays: object[] = [
        {
            from: '04/04/2019',
            to: '04/05/2019',
            label: 'Public holidays',
            cssClass: 'e-custom-holiday'
        },
        {
            from: '04/12/2019',
            to: '04/12/2019',
            label: 'Local holidays',
            cssClass: 'e-custom-holiday'
        }
    ];

    return (
        <GanttComponent
            id="ganttDefault"
            height="430px"
            dataSource={data}
            taskFields={taskSettings}
            holidays={holidays}
        >
            <ColumnsDirective>
                <ColumnDirective field="TaskID" headerText="Task ID" width="100" />
                <ColumnDirective field="TaskName" headerText="Task Name" width="150" />
                <ColumnDirective field="StartDate" headerText="Start Date" width="150" />
                <ColumnDirective field="Duration" headerText="Duration" width="150" />
                <ColumnDirective field="Progress" headerText="Progress" width="150" />
            </ColumnsDirective>
            <Inject services={[DayMarkers]} />
        </GanttComponent>
    );
}

ReactDOM.render(<App />, document.getElementById('root'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Gantt</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/tailwind3.css" rel="stylesheet" type="text/css"/>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
     <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }
    </style>
</head>

<body>
        <div id='root'>
            <div id='loader'>Loading....</div>
        </div>
</body>

</html>

The code defines holidays like Christmas (December 25) and a multi-day New Year break, rendering them as highlighted periods in the timeline.

Customize holiday appearance

Customize holiday visuals using the cssClass property to apply distinct styles for different holiday types, such as national or company-specific closures:

.national-holiday {
    background-color: #ffebee;
    border-left: 3px solid #f44336;
}
.national-holiday .e-gantt-holiday-label {
    color: #d32f2f;
    font-weight: bold;
    background-color: #ffcdd2;
    padding: 2px 6px;
    border-radius: 4px;
}

.company-holiday {
    background-color: #e3f2fd;
    border-left: 3px solid #2196f3;
}
.company-holiday .e-gantt-holiday-label {
    color: #1976d2;
    font-style: italic;
    background-color: #bbdefb;
    padding: 2px 6px;
    border-radius: 4px;
}

For multi-day holidays, specify both from and to dates:

holidays: [
    {
        from: new Date('2024-12-24'),
        to: new Date('2024-12-26'),
        label: 'Christmas Break',
        cssClass: 'national-holiday'
    },
    {
        from: new Date('2024-01-01'),
        to: new Date('2024-01-02'),
        label: 'New Year Holiday',
        cssClass: 'company-holiday'
    }
]

This code styles holidays with distinct colors and labels, enhancing timeline readability.

See Also

Holidays in Angular Gantt Chart Component

18 Nov 201824 minutes to read

The Angular Gantt Chart component supports holidays to define non-working days, such as national holidays or company closures, that impact task scheduling and project timelines. Holidays override regular working time settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods. In the timeline, holidays appear as highlighted backgrounds with descriptive labels, creating visible gaps in taskbars to reflect scheduling adjustments. Custom CSS classes allow distinct styling for different holiday types (e.g., national vs. company holidays), enhancing visual clarity. Properly configured holidays ensure accurate duration calculations, dependency adjustments, and critical path analysis, aligning project timelines with resource availability and regional requirements.

Understanding holiday effects on tasks

Holidays adjust task scheduling to reflect non-working periods:

  • Duration adjustments: Task durations exclude holidays, extending end dates. For example, a task starting December 20, 2024, skips a December 25-26 holiday, adjusting its completion to account for these days.
  • Dependency management: Successor tasks shift to maintain relationships (e.g., FS), ensuring no work occurs during holidays.
  • Critical path integration: Holidays impact slack calculations when using enableCriticalPath, as tasks delayed by holidays may become critical.
  • Resource allocation: Holidays reduce resource availability, pausing task progress during these periods.

The projectStartDate and projectEndDate properties provide context for scheduling, ensuring holidays align with the project timeline.

Configure holidays

Holidays are defined using the holidays property, which accepts an array of holiday objects specifying dates, labels, and styling. The DayMarkersService must be injected to render holidays as visual markers in the timeline and adjust task scheduling calculations. Holidays take precedence over settings like workWeek or includeWeekend, ensuring tasks do not progress during these periods.

Holiday configuration properties

  • from: Sets the start date of the holiday (e.g., new Date('2024-12-25')).
  • to: Defines the end date for multi-day holidays (optional for single-day holidays).
  • label: Provides a descriptive name (e.g., “Christmas Day”) displayed in the timeline.
  • cssClass: Applies custom CSS classes for styling holiday appearances.

Inject DayMarkersService to enable holiday rendering and scheduling logic:

import { DayMarkersService } from '@syncfusion/ej2-angular-gantt';

@Component({
    providers: [DayMarkersService]
})

The following example configures single and multi-day holidays:

import { GanttModule,DayMarkersService } from '@syncfusion/ej2-angular-gantt'
import { Component, ViewEncapsulation, OnInit } from '@angular/core';
import { projectNewData } from './data';

@Component({
    imports: [GanttModule],
    providers: [DayMarkersService],
    standalone: true,
    selector: 'app-root',
    template:
        `<ejs-gantt id="ganttDefault" height="430px" [dataSource]="data"  [taskFields]="taskSettings" [holidays] = "holidays"></ejs-gantt>`,
    encapsulation: ViewEncapsulation.None
})

export class AppComponent implements OnInit {
    public data?: object[];
    public taskSettings?: object;
    public holidays?: object[];
    
    public ngOnInit(): void {
        this.data = projectNewData;
        this.taskSettings = {
            id: 'TaskID',
            name: 'TaskName',
            startDate: 'StartDate',
            duration: 'Duration',
            progress: 'Progress',
            child: 'subtasks'
        };
        this.holidays = [{
            from: "04/04/2019",
            to: "04/05/2019",
            label: " Public holidays",
            cssClass: "e-custom-holiday"
        },
        {
            from: "04/12/2019",
            to: "04/12/2019",
            label: " LOcal holidays",
            cssClass: "e-custom-holiday"
        }];
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
export let projectNewData: Object[] = [
    {
        TaskID: 1,
        TaskName: 'Product Concept',
        StartDate: new Date('04/02/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            { TaskID: 2, TaskName: 'Defining the product and its usage', StartDate: new Date('04/02/2019'), Duration: 3, Progress: 30 },
            { TaskID: 3, TaskName: 'Defining target audience', StartDate: new Date('04/02/2019'), Duration: 3 },
            {
                TaskID: 4, TaskName: 'Prepare product sketch and notes', StartDate: new Date('04/02/2019'), Duration: 2,
                Predecessor: '2', Progress: 30
            },
        ]
    },
    {
        TaskID: 5, TaskName: 'Concept Approval', StartDate: new Date('04/02/2019'), Duration: 0, Predecessor: '3,4',
        Indicators: [
            {
                'date': '04/10/2019',
                'name': '#briefing',
                'title': 'Product concept breifing',
            }
        ]
    },
    {
        TaskID: 6,
        TaskName: 'Market Research',
        StartDate: new Date('04/02/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            {
                TaskID: 7,
                TaskName: 'Demand Analysis',
                StartDate: new Date('04/04/2019'),
                EndDate: new Date('04/21/2019'),
                subtasks: [
                    {
                        TaskID: 8, TaskName: 'Customer strength', StartDate: new Date('04/04/2019'), Duration: 4,
                        Predecessor: '5', Progress: 30
                    },
                    { TaskID: 9, TaskName: 'Market opportunity analysis', StartDate: new Date('04/04/2019'), Duration: 4, Predecessor: '5' }
                ]
            },
            {
                TaskID: 10, TaskName: 'Competitor Analysis', StartDate: new Date('04/04/2019'), Duration: 4,
                Predecessor: '7, 8', Progress: 30
            },
            { TaskID: 11, TaskName: 'Product strength analsysis', StartDate: new Date('04/04/2019'), Duration: 4, Predecessor: '9' },
            {
                TaskID: 12, TaskName: 'Research complete', StartDate: new Date('04/04/2019'), Duration: 0, Predecessor: '10',
                Indicators: [
                    {
                        'date': '04/20/2019',
                        'name': '#meeting',
                        'title': '1st board of directors meeting',
                    }
                ]
            }
        ]
    },
    {
        TaskID: 13,
        TaskName: 'Product Design and Development',
        StartDate: new Date('04/04/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            {
                TaskID: 14, TaskName: 'Functionality design', StartDate: new Date('04/04/2019'),
                Duration: 3, Progress: 30, Predecessor: '12'
            },
            { TaskID: 15, TaskName: 'Quality design', StartDate: new Date('04/04/2019'), Duration: 3, Predecessor: '12' },
            { TaskID: 16, TaskName: 'Define Reliability', StartDate: new Date('04/04/2019'), Duration: 2, Progress: 30, Predecessor: '15' },
            { TaskID: 17, TaskName: 'Identifying raw materials', StartDate: new Date('04/04/2019'), Duration: 2, Predecessor: '15' },
            {
                TaskID: 18,
                TaskName: 'Define cost plan',
                StartDate: new Date('04/04/2019'),
                EndDate: new Date('04/21/2019'),
                subtasks: [
                    {
                        TaskID: 19, TaskName: 'Manufacturing cost', StartDate: new Date('04/04/2019'),
                        Duration: 2, Progress: 30, Predecessor: '17'
                    },
                    { TaskID: 20, TaskName: 'Selling cost', StartDate: new Date('04/04/2019'), Duration: 2, Predecessor: '17' }
                ]
            },
            {
                TaskID: 21,
                TaskName: 'Development of the final design',
                StartDate: new Date('04/04/2019'),
                EndDate: new Date('04/21/2019'),
                subtasks: [
                    {
                        TaskID: 22, TaskName: 'Defining dimensions and package volume', StartDate: new Date('04/04/2019'),
                        Duration: 2, Progress: 30, Predecessor: '19,20'
                    },
                    {
                        TaskID: 23, TaskName: 'Develop design to meet industry standards', StartDate: new Date('04/04/2019'),
                        Duration: 2, Predecessor: '22'
                    },
                    { TaskID: 24, TaskName: 'Include all the details', StartDate: new Date('04/04/2019'), Duration: 3, Predecessor: '23' }
                ]
            },
            {
                TaskID: 25, TaskName: 'CAD Computer-aided design', StartDate: new Date('04/04/2019'),
                Duration: 3, Progress: 30, Predecessor: '24'
            },
            { TaskID: 26, TaskName: 'CAM Computer-aided manufacturing', StartDate: new Date('04/04/2019'), Duration: 3, Predecessor: '25' },
            {
                TaskID: 27, TaskName: 'Design complete', StartDate: new Date('04/04/2019'), Duration: 0, Predecessor: '26',
                Indicators: [
                    {
                        'date': '05/18/2019',
                        'name': '#meeting',
                        'title': '2nd board of directors meeting',
                    }
                ]
            }

        ]
    },
    { TaskID: 28, TaskName: 'Prototype Testing', StartDate: new Date('04/04/2019'), Duration: 4, Progress: 30, Predecessor: '27' },
    { TaskID: 29, TaskName: 'Include feedback', StartDate: new Date('04/04/2019'), Duration: 4, Predecessor: '28ss' },
    { TaskID: 30, TaskName: 'Manufacturing', StartDate: new Date('04/04/2019'), Duration: 5, Progress: 30, Predecessor: '28,29' },
    { TaskID: 31, TaskName: 'Assembling materials to finsihed goods', StartDate: new Date('04/04/2019'), Duration: 5, Predecessor: '30' },
    {
        TaskID: 32,
        TaskName: 'Feedback and Testing',
        StartDate: new Date('04/04/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            {
                TaskID: 33, TaskName: 'Internal testing and feedback', StartDate: new Date('04/04/2019'),
                Duration: 3, Progress: 45, Predecessor: '31'
            },
            {
                TaskID: 34, TaskName: 'Customer testing and feedback', StartDate: new Date('04/04/2019'),
                Duration: 3, Progress: 50, Predecessor: '33'
            }
        ]
    },
    {
        TaskID: 35,
        TaskName: 'Final Product Development',
        StartDate: new Date('04/04/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            {
                TaskID: 36, TaskName: 'Important improvements', StartDate: new Date('04/04/2019'),
                Duration: 4, Progress: 30, Predecessor: '34'
            },
            {
                TaskID: 37, TaskName: 'Address any unforeseen issues', StartDate: new Date('04/04/2019'),
                Duration: 4, Progress: 30, Predecessor: '36ss'
            }
        ]
    },
    {
        TaskID: 38,
        TaskName: 'Final Product',
        StartDate: new Date('04/04/2019'),
        EndDate: new Date('04/21/2019'),
        subtasks: [
            { TaskID: 39, TaskName: 'Branding product', StartDate: new Date('04/04/2019'), Duration: 4, Predecessor: '37' },
            {
                TaskID: 40, TaskName: 'Marketing and presales', StartDate: new Date('04/04/2019'),
                Duration: 4, Progress: 30, Predecessor: '39'
            }
        ]
    }
];

The code defines holidays like Christmas (December 25) and a multi-day New Year break, rendering them as highlighted periods in the timeline.

Customize holiday appearance

Customize holiday visuals using the cssClass property to apply distinct styles for different holiday types, such as national or company-specific closures:

.national-holiday {
    background-color: #ffebee;
    border-left: 3px solid #f44336;
}
.national-holiday .e-gantt-holiday-label {
    color: #d32f2f;
    font-weight: bold;
    background-color: #ffcdd2;
    padding: 2px 6px;
    border-radius: 4px;
}

.company-holiday {
    background-color: #e3f2fd;
    border-left: 3px solid #2196f3;
}
.company-holiday .e-gantt-holiday-label {
    color: #1976d2;
    font-style: italic;
    background-color: #bbdefb;
    padding: 2px 6px;
    border-radius: 4px;
}

For multi-day holidays, specify both from and to dates:

holidays: [
    {
        from: new Date('2024-12-24'),
        to: new Date('2024-12-26'),
        label: 'Christmas Break',
        cssClass: 'national-holiday'
    },
    {
        from: new Date('2024-01-01'),
        to: new Date('2024-01-02'),
        label: 'New Year Holiday',
        cssClass: 'company-holiday'
    }
]

This code styles holidays with distinct colors and labels, enhancing timeline readability.

See Also

Holidays in Vue Gantt Chart component

18 Nov 20184 minutes to read

Non-working days in a project can be displayed in the Gantt Chart component using the holidays property. Each holiday can be defined with the following properties:

  • from: Defines start date of the holiday(s).
  • to: Defines end date of the holiday(s).
  • label: Defines the description or label for the holiday.
  • cssClass: Formats the holidays label in the Gantt chart.

To highlight the days, inject the DayMarkers module in the provide section.

The following code example shows how to display the non-working days in the Gantt Chart component.

<template>
     <div>
        <ejs-gantt ref='gantt' id="GanttContainer" :dataSource="data" :taskFields = "taskFields" :height = "height" :holidays = "holidays"></ejs-gantt>
    </div>
</template>
<script setup>
import { provide } from "vue";
import { GanttComponent as EjsGantt, DayMarkers } from "@syncfusion/ej2-vue-gantt";
import { projectNewData  } from './data-source.js';
const data = projectNewData;
const height = '450px';
const taskFields = {
    id: 'TaskID',
    name: 'TaskName',
    startDate: 'StartDate',
    duration: 'Duration',
    progress: 'Progress',
    child: 'subtasks'
};
const holidays = [{
    from: "04/04/2019",
    to:"04/05/2019",
    label: " Public holidays",
    cssClass:"e-custom-holiday"
},
{
    from: "04/12/2019",
    to:"04/12/2019",
    label: " LOcal holidays",
    cssClass:"e-custom-holiday"
    }];
provide('gantt',  [DayMarkers]);
</script>
<template>
     <div>
        <ejs-gantt ref='gantt' id="GanttContainer" :dataSource="data" :taskFields = "taskFields" :height = "height" :holidays = "holidays"></ejs-gantt>
    </div>
</template>
<script>

import { GanttComponent, DayMarkers } from "@syncfusion/ej2-vue-gantt";
import { projectNewData  } from './data-source.js';
export default {
name: "App",
components: {
"ejs-gantt":GanttComponent,
},
  data: function() {
      return{
        data: projectNewData,
        height:'450px',
        taskFields: {
            id: 'TaskID',
            name: 'TaskName',
            startDate: 'StartDate',
            duration: 'Duration',
            progress: 'Progress',
            child: 'subtasks'
        },
        holidays: [{
            from: "04/04/2019",
            to:"04/05/2019",
            label: " Public holidays",
            cssClass:"e-custom-holiday"
        },
        {
            from: "04/12/2019",
            to:"04/12/2019",
            label: " LOcal holidays",
            cssClass:"e-custom-holiday"
            }]
      };
  },
  provide: {
      gantt: [DayMarkers]
  }
};
</script>